<?php

namespace Lc\CaracoleBundle\Repository\Common;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Common\TaxRateInterface;

/**
 * @method TaxRateInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method TaxRateInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method TaxRateInterface[]    findAll()
 * @method TaxRateInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class TaxRateRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, TaxRateInterface::class);
    }
}
