<?php

namespace Lc\CaracoleBundle\Repository\Section;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Section\SectionInterface;

/**
 * @method SectionInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method SectionInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method SectionInterface[]    findAll()
 * @method SectionInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class SectionRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, SectionInterface::class);
    }
}
